Open CASCADE Technology: OpenGl_Layer Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
OpenGl_Layer Class Reference

`#include <OpenGl_Layer.hxx>`

## Public Member Functions
| OpenGl_Layer (const Standard_Integer theNbPriorities=11)
| Initializes associated priority list and layer properties. More...
const Graphic3d_ZLayerSettings | LayerSettings () const
| Returns settings of the layer object. More...
void | SetLayerSettings (Graphic3d_ZLayerSettings theSettings)
| Sets settings of the layer object. More...
const Standard_Boolean | IsSettingEnabled (const Graphic3d_ZLayerSetting theSetting) const
| Returns true if theSetting is enabled for the layer. More...
OpenGl_PriorityList & | PriorityList ()
| Returns reference to associated priority list. More...
const OpenGl_PriorityList & | PriorityList () const
| Returns const reference to associated priority list. More...
void | Render (const Handle< OpenGl_Workspace > &AWorkspace, const OpenGl_GlobalLayerSettings &theDefaultSettings) const

## Constructor & Destructor Documentation

OpenGl_Layer::OpenGl_Layer | ( | const Standard_Integer | theNbPriorities = `11` | ) |

Initializes associated priority list and layer properties.

## Member Function Documentation

const Standard_Boolean OpenGl_Layer::IsSettingEnabled | ( | const Graphic3d_ZLayerSetting | theSetting | ) | const
| inline

Returns true if theSetting is enabled for the layer.

const Graphic3d_ZLayerSettings OpenGl_Layer::LayerSettings | ( |  | ) | const
| inline

Returns settings of the layer object.

OpenGl_PriorityList& OpenGl_Layer::PriorityList | ( |  | ) |
| inline

Returns reference to associated priority list.

const OpenGl_PriorityList& OpenGl_Layer::PriorityList | ( |  | ) | const
| inline

Returns const reference to associated priority list.

void OpenGl_Layer::Render | ( | const Handle< OpenGl_Workspace > & | AWorkspace,
|  | const OpenGl_GlobalLayerSettings & | theDefaultSettings
| ) |  | const

void OpenGl_Layer::SetLayerSettings | ( | Graphic3d_ZLayerSettings | theSettings | ) |
| inline

Sets settings of the layer object.

The documentation for this class was generated from the following file:

- OpenGl_Layer.hxx